package com.ywt.glasses.config.param;

import com.ywt.biz.common.util.Checker;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class DomainConfigurer {

    @Value("${glasses.domain}")
    private String ywtGlasses;


    public String getYwtGlasses() {
        return Checker.getStringValue("https://" + this.ywtGlasses);
    }

}
