package com.ywt.glasses.constants;

public class RedisCacheKey {
    //登陆后记录TOKEN
    public static final String TOKEN_LOGIN_INFO_KEY = "wapapi:login_token_%s";





    /**
     * 短信验证码key格式，
     * SMS_CODE_手机号码_验证码业务类型，eg. SMS_CODE_13800138000_1
     */
    public static final String SMS_CODE_KEY_FORMAT = "wapapi:SMS_CODE_%s_%s";


    public static final String WECHAT_ACCESS_TOKEN = "wapapi:wechat_access_token";

    public static final String CREATE_ORDER_KEY = "wapapi:create_order_%s";

    /**
     * 监控token状态
     * token_用户Id，eg. openapi:token_8654
     */
    public static final String WATCH_TOKEN_KEY = "wapapi:watch_token_%s";

    /**
     * 扫描医生团队二维码
     * key:  SCAN_DOC_TEAM_QR_${userId}
     * value:  teamId
     */
    public static final String SCAN_DOC_TEAM_QR_KEY = "SCAN_DOC_TEAM_QR_%s";
}
